Bug 1262079 - [abrt] kf5-kactivities: QSqlDatabase::close(): kactivitymanagerd killed by SIGSEGV
[abrt] kf5-kactivities: QSqlDatabase::close(): kactivitymanagerd killed by SI...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kf5-kactivities (Show other bugs)
23
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:a062cb98f25b586a8506911dbfb...
:
: 1259461 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-10 14:53 EDT by Yonatan
Modified: 2016-12-20 09:36 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:36:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (23.43 KB, text/plain)
2015-09-10 14:54 EDT, Yonatan
no flags Details
File: cgroup (177 bytes, text/plain)
2015-09-10 14:54 EDT, Yonatan
no flags Details
File: core_backtrace (9.35 KB, text/plain)
2015-09-10 14:54 EDT, Yonatan
no flags Details
File: dso_list (13.91 KB, text/plain)
2015-09-10 14:54 EDT, Yonatan
no flags Details
File: environ (1.27 KB, text/plain)
2015-09-10 14:54 EDT, Yonatan
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-10 14:54 EDT, Yonatan
no flags Details
File: maps (37.10 KB, text/plain)
2015-09-10 14:54 EDT, Yonatan
no flags Details
File: mountinfo (3.03 KB, text/plain)
2015-09-10 14:54 EDT, Yonatan
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-10 14:54 EDT, Yonatan
no flags Details
File: open_fds (1.30 KB, text/plain)
2015-09-10 14:54 EDT, Yonatan
no flags Details
File: proc_pid_status (870 bytes, text/plain)
2015-09-10 14:54 EDT, Yonatan
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Qt Bug Tracker QTBUG-35977 None None None Never

  None (edit)
Description Yonatan 2015-09-10 14:53:53 EDT
Version-Release number of selected component:
kf5-kactivities-5.12.0-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/kactivitymanagerd start-daemon
crash_function: QSqlDatabase::close
executable:     /usr/bin/kactivitymanagerd
global_pid:     1707
kernel:         4.2.0-0.rc5.git0.2.fc23.i686
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QSqlDatabase::close at kernel/qsqldatabase.cpp:871
 #1 QSqlDatabase::~QSqlDatabase at kernel/qsqldatabase.cpp:799
 #2 QHashNode<QString, QSqlDatabase>::~QHashNode at ../../src/corelib/tools/qhash.h:237
 #3 QHash<QString, QSqlDatabase>::deleteNode2 at ../../src/corelib/tools/qhash.h:585
 #4 QHashData::free_helper at tools/qhash.cpp:491
 #5 QHash<QString, QSqlDatabase>::freeData at ../../src/corelib/tools/qhash.h:621
 #6 QHash<QString, QSqlDatabase>::~QHash at ../../src/corelib/tools/qhash.h:342
 #7 QConnectionDict::~QConnectionDict at kernel/qsqldatabase.cpp:110
 #8 (anonymous namespace)::Q_QGS_dbDict::Holder::~Holder at kernel/qsqldatabase.cpp:126
 #9 transcmp at dcigettext.c:280
Comment 1 Yonatan 2015-09-10 14:54:05 EDT
Created attachment 1072324 [details]
File: backtrace
Comment 2 Yonatan 2015-09-10 14:54:06 EDT
Created attachment 1072325 [details]
File: cgroup
Comment 3 Yonatan 2015-09-10 14:54:09 EDT
Created attachment 1072326 [details]
File: core_backtrace
Comment 4 Yonatan 2015-09-10 14:54:13 EDT
Created attachment 1072327 [details]
File: dso_list
Comment 5 Yonatan 2015-09-10 14:54:16 EDT
Created attachment 1072328 [details]
File: environ
Comment 6 Yonatan 2015-09-10 14:54:17 EDT
Created attachment 1072329 [details]
File: limits
Comment 7 Yonatan 2015-09-10 14:54:30 EDT
Created attachment 1072330 [details]
File: maps
Comment 8 Yonatan 2015-09-10 14:54:32 EDT
Created attachment 1072331 [details]
File: mountinfo
Comment 9 Yonatan 2015-09-10 14:54:33 EDT
Created attachment 1072332 [details]
File: namespaces
Comment 10 Yonatan 2015-09-10 14:54:35 EDT
Created attachment 1072333 [details]
File: open_fds
Comment 11 Yonatan 2015-09-10 14:54:38 EDT
Created attachment 1072334 [details]
File: proc_pid_status
Comment 12 Rex Dieter 2015-10-28 15:41:02 EDT
*** Bug 1259461 has been marked as a duplicate of this bug. ***
Comment 15 John Moore 2016-05-20 17:04:20 EDT
Another user experienced a similar problem:

Sorry, found this under system errors after install, but do not know what it represents.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/kactivitymanagerd start-daemon
crash_function: QSqlDatabase::close
executable:     /usr/bin/kactivitymanagerd
global_pid:     1617
kernel:         4.2.3-300.fc23.x86_64
package:        kf5-kactivities-5.14.0-1.fc23
reason:         kactivitymanagerd killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            0
Comment 16 Fedora End Of Life 2016-11-24 07:28:57 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 09:36:30 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.